### Method

# Atk StateSet add_state

#### Declaration [src]

    gboolean
    atk_state_set_add_state (
      AtkStateSet* set,
      AtkStateType type
    )

#### Description [src]

Adds the state of the specified type to the state set if it is not already present.

Note that because an `AtkStateSet` is a read-only object, this method should be used to add a state to a newly-created set which will then be returned by

# atk_object_ref_state_set. It should not be used to modify the existing state

of an object. See also #atk_object_notify_state_change.

#### Parameters

`type`

  Type: `AtkStateType`

  An `AtkStateType`.

#### Return value

Type: `gboolean`

`TRUE` if the state for `type` is not already in `set`.